<!-- Displays each team's performance at a single match. -->

{% extends 'main/base.html' %}
{% load static %}
{% load scouting_extras %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/indexTeam.css' %}">
{% endblock %}

{% block js %}
<script type="text/javascript" src="{% static 'scouting/js/search.js' %}"></script>
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

<head><script>
function sortTable(n) {
  var table, rows, switching, i, j, x, y, cell, shouldSwitch, dir, switchcount = 0;
  table = document.getElementById("matchesTable");
  switching = true;
  // Set the sorting direction to ascending:
  dir = "asc"; 
      rows = table.rows;
      // Change the appearance of the selected header
      for (j = 0; j < rows[0].cells.length; j++) {
        cell = rows[0].cells[j];
        console.log(cell);
        
        if(j == n) {
          //set the cell class to change appearance
          cell.classList.add("highlightedCell");
        } else {
          //remove the cell class
          cell.classList.remove("highlightedCell");
        }
      }
  /* Make a loop that will continue until
  no switching has been done: */
  
  while (switching) {
    // Start by saying: no switching is done:
    switching = false;
    rows = table.rows;
    /* Loop through all table rows (except the
    first, which contains table headers): */
    for (i = 1; i < (rows.length - 1); i++) {
      // Start by saying there should be no switching:
      shouldSwitch = false;
      /* Get the two elements you want to compare,
      one from current row and one from the next: */
      x = rows[i].getElementsByTagName("TD")[n];
      y = rows[i + 1].getElementsByTagName("TD")[n];
      /* Check if the two rows should switch place,
      based on the direction, asc or desc: */
      if (dir == "asc" && n > 1) {
        if (parseFloat(x.textContent.toLowerCase()) < parseFloat(y.textContent.toLowerCase())) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      } else if (dir == "desc" && n > 1) {
        if (parseFloat(x.textContent.toLowerCase()) > parseFloat(y.textContent.toLowerCase())) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      } else if (dir == "asc") {
        if (parseFloat(x.textContent.substring(6).toLowerCase()) < parseFloat(y.textContent.substring(6).toLowerCase())) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      } else if (dir == "desc") {
        console.log(parseFloat(x.textContent.substring(6)));
        if (parseFloat(x.textContent.substring(6).toLowerCase()) > parseFloat(y.textContent.substring(6).toLowerCase())) {
        // If so, mark as a switch and break the loop:
        shouldSwitch = true;
        break;
        }
      }
    }
    if (shouldSwitch) {
      /* If a switch has been marked, make the switch
      and mark that a switch has been done: */
      rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
      switching = true;
      // Each time a switch is done, increase this count by 1:
      switchcount ++; 
    } else {
      /* If no switching has been done AND the direction is "asc",
      set the direction to "desc" and run the while loop again. */
      if (switchcount == 0 && dir == "asc") {
        dir = "desc";
        switching = true;
      }
    }
  }
}
</script></head>

<div class = "content"> 
        <!-- Delete these line breaks when the CSS is fixed so that stuff isn't hidden by the top bar -->
        <br><br><br><br><br><br>
  
  <div class = "buttons"> 
      <a href="{% url 'scouting:indexComp' comp.id %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Competition</a>
  </div>
  
    {% if mnum %}
        <div class = "team-header"> Match {{ mnum }} </div>
    {% else %}
        <div class = "team-header"> the variable "mnum" does not exist </div>
    {% endif %}
    
    <br>
    
    {% if matches %}
      <ul>
        <div style="overflow:auto;">
          <table id = "matchTable">
            <tr>
                        <th onclick="sortTable(0)" class = "highlightedCell"> <div class = "inline"> Team <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(1)"> <div class = "inline"> Start <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(2)"> <div class = "inline"> S.R. Hatches <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(3)"> <div class = "inline"> S.R. Cargo <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(4)"> <div class = "inline"> S.CS. Hatches <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(5)"> <div class = "inline"> S.CS. Cargo <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(6)"> <div class = "inline"> R.1 Hatches <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(7)"> <div class = "inline"> R.1 Cargo <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(8)"> <div class = "inline"> R.2 Hatches <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(9)"> <div class = "inline"> R.2 Cargo <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(10)"> <div class = "inline"> R.3 Hatches <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(11)"> <div class = "inline"> R.3 Cargo <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(12)"> <div class = "inline"> CS. Hatches <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(13)"> <div class = "inline"> CS. Cargo <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(14)"> <div class = "inline"> Climbing <i class="fas fa-sort"> </i> </div> </th>
                    </tr>
                    
                    {% for m in matches %}
                    <tr>
                        <td><u><li><a class = "view" href="{% url 'scouting:detailed' comp.id m.id %}">Team {{ m.Team.TeamNum }}</a></li></u></td>
                        <td>{{ m.Start }}</td>
                        <td>{{ m.Rocket_Hatch_Sandstorm }}</td>
                        <td>{{ m.Rocket_Ball_Sandstorm }}</td>
                        <td>{{ m.CargoShip_Hatch_Sandstorm }}</td>
                        <td>{{ m.CargoShip_Ball_Sandstorm }}</td>
                        <td>{{ m.Rocket_L1_Hatch }}</td>
                        <td>{{ m.Rocket_L1_Ball }}</td>
                        <td>{{ m.Rocket_L2_Hatch }}</td>
                        <td>{{ m.Rocket_L2_Ball }}</td>
                        <td>{{ m.Rocket_L3_Hatch }}</td>
                        <td>{{ m.Rocket_L3_Ball }}</td>
                        <td>{{ m.CargoShip_Hatch }}</td>
                        <td>{{ m.CargoShip_Ball }}</td>
                        <td>{{ m.Climb }}</td>
                    </tr> 
                    
                    {% endfor %}

                </table>
            </div>
        </ul>
        
    {% else %}
        <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
    {% endif %}
    
</div>

{% endblock %}